PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PVideoInputPluginServiceDescriptor< className > Class Template Reference

`#include <videoio.h>`

Inheritance diagram for PVideoInputPluginServiceDescriptor< className >:
[legend]
Collaboration diagram for PVideoInputPluginServiceDescriptor< className >:
[legend]

## Public Member Functions
virtual PObject * | CreateInstance (int) const
virtual PStringArray | GetDeviceNames (int) const
virtual bool | GetDeviceCapabilities (const PString &deviceName, void *caps) const
Public Member Functions inherited from PDevicePluginServiceDescriptor
virtual bool | ValidateDeviceName (const PString &deviceName, int userData) const
Public Member Functions inherited from PPluginServiceDescriptor
| PPluginServiceDescriptor ()
virtual | ~PPluginServiceDescriptor ()
virtual unsigned | GetPluginAPIVersion () const

## Additional Inherited Members
Static Public Attributes inherited from PDevicePluginServiceDescriptor
static const char | SeparatorChar
Protected Attributes inherited from PPluginServiceDescriptor
unsigned | version

## Member Function Documentation

template<class className>

virtual PObject* PVideoInputPluginServiceDescriptor< className >::CreateInstance | ( | int |  | ) | const
| inline virtual

Implements PDevicePluginServiceDescriptor.

template<class className>

virtual bool PVideoInputPluginServiceDescriptor< className >::GetDeviceCapabilities | ( | const PString & | deviceName,
|  | void * | caps
| ) |  | const
| inline virtual

Reimplemented from PDevicePluginServiceDescriptor.

template<class className>

virtual PStringArray PVideoInputPluginServiceDescriptor< className >::GetDeviceNames | ( | int |  | ) | const
| inline virtual

Implements PDevicePluginServiceDescriptor.

The documentation for this class was generated from the following file:

- videoio.h